org.apache.cassandra.cql3

## Class ColumnSpecification

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnSpecification

Direct Known Subclasses:
  ColumnDefinition

    public class ColumnSpecification
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `cfName`
`java.lang.String` `ksName`
`ColumnIdentifier` `name`
`AbstractType<?>` `type`

### Constructor Summary

Constructors
Constructor and Description
`ColumnSpecification(java.lang.String ksName, java.lang.String cfName, ColumnIdentifier name, AbstractType<?> type)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `allInSameTable(java.util.Collection<ColumnSpecification> names)` Returns true if all ColumnSpecifications are in the same table, false otherwise.
`boolean` `equals(java.lang.Object other)`
`int` `hashCode()`
`boolean` `isReversedType()`
`java.lang.String` `toString()`
`ColumnSpecification` `withAlias(ColumnIdentifier alias)` Returns a new `ColumnSpecification` for the same column but with the specified alias.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ksName

    public final java.lang.String ksName

#### cfName

    public final java.lang.String cfName

#### name

    public final ColumnIdentifier name

#### type

    public final AbstractType<?> type

### Constructor Detail

#### ColumnSpecification

    public ColumnSpecification(java.lang.String ksName,
                               java.lang.String cfName,
                               ColumnIdentifier name,
                               AbstractType<?> type)

### Method Detail

#### withAlias

    public ColumnSpecification withAlias(ColumnIdentifier alias)

Returns a new `ColumnSpecification` for the same column but with the specified alias.

Parameters:
  `alias` - the column alias
Returns:
  a new `ColumnSpecification` for the same column but with the specified alias.

#### isReversedType

    public boolean isReversedType()

#### allInSameTable

    public static boolean allInSameTable(java.util.Collection<ColumnSpecification> names)

Returns true if all ColumnSpecifications are in the same table, false otherwise.

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`